#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - docbook_4 installation
#
# Creation   :  2018-03-12 holbru
# Last update:  $Id: install.sh 73937 2020-04-12 16:29:47Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=docbook_4

#----------------------------------------------------------------------------
# activate
#----------------------------------------------------------------------------
cat_names="docbook_4
           db41xml
           db42xml
           db43xml
           db44xml
           db45xml"

FOR_ROOT_CAT="for-catalog-docbook_4-4.5.xml"

for c in ${cat_names}
do
    /usr/bin/sgml-register-catalog -a /usr/share/sgml/CATALOG.$c \
      >/dev/null 2>&1
done

#if [ -x /usr/bin/edit-xml-catalog ]
#then
#    /usr/bin/edit-xml-catalog --group --catalog /etc/xml/eisfair-catalog.xml \
#      --add /etc/xml/${FOR_ROOT_CAT}
#fi

rm -f /etc/xml/${FOR_ROOT_CAT}

update-xml-catalog

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
