#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - docbook_4 preinstallation
#
# Creation   :  2018-03-12 holbru
# Last update:  $Id: preinstall.sh 52381 2018-03-12 21:15:57Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=docbook_4

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check ${package_name} 2.8.0)

if [ "${installed}" = "new" ]
then
cat_names="docbook_4
db41xml
db42xml
db43xml
db44xml
db45xml"

    for c in ${cat_names}
    do
        /usr/bin/sgml-register-catalog -r /usr/share/sgml/CATALOG.$c \
          >/dev/null 2>&1
    done
fi

installed=$(eisman check ${package_name})

if [ "${installed}" = "installed" ]
then
    /var/install/bin/del-package --update -p ${package_name}
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
